Skip to main content
GET
Get a scrobble by its unique identifier

Authorizations

Authorization
string
header
required

Rocksky bearer token.

Query Parameters

uri
string
required

The unique identifier of the scrobble

Response

Success

id
string

The unique identifier of the scrobble.

user
string

The handle of the user who created the scrobble.

title
string

The title of the scrobble.

artist
string

The artist of the song.

artistUri
string | null

The URI of the artist.

album
string

The album of the song.

albumUri
string

The URI of the album.

cover
string<uri>

The album art URL of the song.

date
string<date-time>

The timestamp when the scrobble was created.

uri
string<uri> | null

The URI of the scrobble.

sha256
string

The SHA256 hash of the scrobble data.

liked
boolean
trackUri
string

The URI of the track (song) this scrobble is of.

likesCount
integer
listeners
integer

The number of listeners

scrobbles
integer

The number of scrobbles for this song

artists
object[]
firstScrobble
object

The first scrobble of this song on Rocksky.

mbId
string | null

The MusicBrainz recording ID of the track, when available.

isrc
string | null

The International Standard Recording Code (ISRC) of the track, when available.

tags
string[]
createdAt
string
updatedAt
string
albumArtist
string | null
trackNumber
integer | null
duration
integer
discNumber
integer | null
lyrics
string | null
composer
string | null
genre
string | null
label
string | null
key
string | null
acoustidFingerprint
string | null
xataVersion
integer | null
mbid
string | null
bpm
number | null

Production returns a nullable floating-point number. Lexicon has no float primitive; retained as an open extension without changing response data.